Changeset 2903


Ignore:
Timestamp:
Sep 12, 2013 6:03:02 AM (6 years ago)
Author:
stefan
Message:

run autotools with BuildTools?/stable/0.7

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/trunk/configure

    r2890 r2903  
    10871087                          icl/link). Default when mentioned: mingw. Default
    10881088                          when not mentioned: disabled.
    1089 
    10901089  --disable-pkg-config    disable use of pkg-config (if available)
    10911090  --enable-static[=PKGS]
     
    19301929echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19311930  fi
    1932 
    1933 
    1934 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1935 if test "${enable_static_standardlibs+set}" = set; then
    1936   enableval="$enable_static_standardlibs"
    1937   case "$enableval" in
    1938      no | yes | auto ) ;;
    1939      *)
    1940        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1941 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1942    { (exit 1); exit 1; }; } ;;
    1943    esac
    1944    use_static_standardlibs=$enableval
    1945 else
    1946   use_static_standardlibs=no
    1947 fi;
    1948 
    19491931
    19501932
     
    30863068    CFLAGS="$OPT_CFLAGS"
    30873069  fi
    3088 
    30893070else
    30903071  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32553236esac
    32563237
    3257 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3258 if test x$use_static_standardlibs != xno ; then
    3259   case $build in
    3260     *-mingw*)
    3261       static_standardlib_flag=-static
    3262       ;;
    3263     *)
    3264       static_standardlib_flag=-static-libgcc
    3265       ;;
    3266   esac
    3267   case " $LDFLAGS " in
    3268     *" $static_standardlib_flag "* ) ;;
    3269     *)
    3270     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3271 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3272     coin_save_LDFLAGS="$LDFLAGS"
    3273     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3274     cat >conftest.$ac_ext <<_ACEOF
    3275 /* confdefs.h.  */
    3276 _ACEOF
    3277 cat confdefs.h >>conftest.$ac_ext
    3278 cat >>conftest.$ac_ext <<_ACEOF
    3279 /* end confdefs.h.  */
    3280 
    3281 int
    3282 main ()
    3283 {
    3284 int i=0;
    3285   ;
    3286   return 0;
    3287 }
    3288 _ACEOF
    3289 rm -f conftest.$ac_objext conftest$ac_exeext
    3290 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3291   (eval $ac_link) 2>conftest.er1
    3292   ac_status=$?
    3293   grep -v '^ *+' conftest.er1 >conftest.err
    3294   rm -f conftest.er1
    3295   cat conftest.err >&5
    3296   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3297   (exit $ac_status); } &&
    3298          { ac_try='test -z "$ac_c_werror_flag"
    3299                          || test ! -s conftest.err'
    3300   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3301   (eval $ac_try) 2>&5
    3302   ac_status=$?
    3303   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3304   (exit $ac_status); }; } &&
    3305          { ac_try='test -s conftest$ac_exeext'
    3306   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3307   (eval $ac_try) 2>&5
    3308   ac_status=$?
    3309   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3310   (exit $ac_status); }; }; then
    3311   echo "$as_me:$LINENO: result: yes" >&5
    3312 echo "${ECHO_T}yes" >&6
    3313 else
    3314   echo "$as_me: failed program was:" >&5
    3315 sed 's/^/| /' conftest.$ac_ext >&5
    3316 
    3317 echo "$as_me:$LINENO: result: no" >&5
    3318 echo "${ECHO_T}no" >&6
    3319        LDFLAGS="$coin_save_LDFLAGS"
    3320        if test $use_static_standardlibs = yes ; then
    3321          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3322 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3323    { (exit 1); exit 1; }; }
    3324        fi
    3325 
    3326 fi
    3327 rm -f conftest.err conftest.$ac_objext \
    3328       conftest$ac_exeext conftest.$ac_ext
    3329     ;;
    3330   esac
    3331 fi
    3332 
    33333238ac_ext=c
    33343239ac_cpp='$CPP $CPPFLAGS'
     
    33423247
    33433248 #Let's try if that overcomes configuration problem with VC++ 6.0
    3344 
    33453249
    33463250ac_ext=cc
     
    42954199esac
    42964200
    4297 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4298 if test x$use_static_standardlibs != xno ; then
    4299   case $build in
    4300     *-mingw*)
    4301       static_standardlib_flag=-static
    4302       ;;
    4303     *)
    4304       static_standardlib_flag=-static-libstdc++
    4305       ;;
    4306   esac
    4307   case " $LDFLAGS " in
    4308     *" $static_standardlib_flag "* ) ;;
    4309     *)
    4310     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4311 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4312     coin_save_LDFLAGS="$LDFLAGS"
    4313     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4314     cat >conftest.$ac_ext <<_ACEOF
    4315 /* confdefs.h.  */
    4316 _ACEOF
    4317 cat confdefs.h >>conftest.$ac_ext
    4318 cat >>conftest.$ac_ext <<_ACEOF
    4319 /* end confdefs.h.  */
    4320 
    4321 int
    4322 main ()
    4323 {
    4324 int i=0;
    4325   ;
    4326   return 0;
    4327 }
    4328 _ACEOF
    4329 rm -f conftest.$ac_objext conftest$ac_exeext
    4330 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4331   (eval $ac_link) 2>conftest.er1
    4332   ac_status=$?
    4333   grep -v '^ *+' conftest.er1 >conftest.err
    4334   rm -f conftest.er1
    4335   cat conftest.err >&5
    4336   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4337   (exit $ac_status); } &&
    4338          { ac_try='test -z "$ac_cxx_werror_flag"
    4339                          || test ! -s conftest.err'
    4340   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4341   (eval $ac_try) 2>&5
    4342   ac_status=$?
    4343   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4344   (exit $ac_status); }; } &&
    4345          { ac_try='test -s conftest$ac_exeext'
    4346   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4347   (eval $ac_try) 2>&5
    4348   ac_status=$?
    4349   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4350   (exit $ac_status); }; }; then
    4351   echo "$as_me:$LINENO: result: yes" >&5
    4352 echo "${ECHO_T}yes" >&6
    4353 else
    4354   echo "$as_me: failed program was:" >&5
    4355 sed 's/^/| /' conftest.$ac_ext >&5
    4356 
    4357 echo "$as_me:$LINENO: result: no" >&5
    4358 echo "${ECHO_T}no" >&6
    4359        LDFLAGS="$coin_save_LDFLAGS"
    4360        if test $use_static_standardlibs = yes ; then
    4361          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4362 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4363    { (exit 1); exit 1; }; }
    4364        fi
    4365 
    4366 fi
    4367 rm -f conftest.err conftest.$ac_objext \
    4368       conftest$ac_exeext conftest.$ac_ext
    4369     ;;
    4370   esac
    4371 fi
    4372 
    43734201ac_ext=c
    43744202ac_cpp='$CPP $CPPFLAGS'
     
    63376165*-*-irix6*)
    63386166  # Find out which ABI we are using.
    6339   echo '#line 6339 "configure"' > conftest.$ac_ext
     6167  echo '#line 6167 "configure"' > conftest.$ac_ext
    63406168  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63416169  (eval $ac_compile) 2>&5
     
    74717299
    74727300# Provide some information about the compiler.
    7473 echo "$as_me:7473:" \
     7301echo "$as_me:7301:" \
    74747302     "checking for Fortran 77 compiler version" >&5
    74757303ac_compiler=`set X $ac_compile; echo $2`
     
    85388366   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85398367   -e 's:$: $lt_compiler_flag:'`
    8540    (eval echo "\"\$as_me:8540: $lt_compile\"" >&5)
     8368   (eval echo "\"\$as_me:8368: $lt_compile\"" >&5)
    85418369   (eval "$lt_compile" 2>conftest.err)
    85428370   ac_status=$?
    85438371   cat conftest.err >&5
    8544    echo "$as_me:8544: \$? = $ac_status" >&5
     8372   echo "$as_me:8372: \$? = $ac_status" >&5
    85458373   if (exit $ac_status) && test -s "$ac_outfile"; then
    85468374     # The compiler can only warn and ignore the option if not recognized
     
    88068634   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88078635   -e 's:$: $lt_compiler_flag:'`
    8808    (eval echo "\"\$as_me:8808: $lt_compile\"" >&5)
     8636   (eval echo "\"\$as_me:8636: $lt_compile\"" >&5)
    88098637   (eval "$lt_compile" 2>conftest.err)
    88108638   ac_status=$?
    88118639   cat conftest.err >&5
    8812    echo "$as_me:8812: \$? = $ac_status" >&5
     8640   echo "$as_me:8640: \$? = $ac_status" >&5
    88138641   if (exit $ac_status) && test -s "$ac_outfile"; then
    88148642     # The compiler can only warn and ignore the option if not recognized
     
    89108738   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89118739   -e 's:$: $lt_compiler_flag:'`
    8912    (eval echo "\"\$as_me:8912: $lt_compile\"" >&5)
     8740   (eval echo "\"\$as_me:8740: $lt_compile\"" >&5)
    89138741   (eval "$lt_compile" 2>out/conftest.err)
    89148742   ac_status=$?
    89158743   cat out/conftest.err >&5
    8916    echo "$as_me:8916: \$? = $ac_status" >&5
     8744   echo "$as_me:8744: \$? = $ac_status" >&5
    89178745   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    89188746   then
     
    1125511083  lt_status=$lt_dlunknown
    1125611084  cat > conftest.$ac_ext <<EOF
    11257 #line 11257 "configure"
     11085#line 11085 "configure"
    1125811086#include "confdefs.h"
    1125911087
     
    1135511183  lt_status=$lt_dlunknown
    1135611184  cat > conftest.$ac_ext <<EOF
    11357 #line 11357 "configure"
     11185#line 11185 "configure"
    1135811186#include "confdefs.h"
    1135911187
     
    1369913527   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1370013528   -e 's:$: $lt_compiler_flag:'`
    13701    (eval echo "\"\$as_me:13701: $lt_compile\"" >&5)
     13529   (eval echo "\"\$as_me:13529: $lt_compile\"" >&5)
    1370213530   (eval "$lt_compile" 2>conftest.err)
    1370313531   ac_status=$?
    1370413532   cat conftest.err >&5
    13705    echo "$as_me:13705: \$? = $ac_status" >&5
     13533   echo "$as_me:13533: \$? = $ac_status" >&5
    1370613534   if (exit $ac_status) && test -s "$ac_outfile"; then
    1370713535     # The compiler can only warn and ignore the option if not recognized
     
    1380313631   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1380413632   -e 's:$: $lt_compiler_flag:'`
    13805    (eval echo "\"\$as_me:13805: $lt_compile\"" >&5)
     13633   (eval echo "\"\$as_me:13633: $lt_compile\"" >&5)
    1380613634   (eval "$lt_compile" 2>out/conftest.err)
    1380713635   ac_status=$?
    1380813636   cat out/conftest.err >&5
    13809    echo "$as_me:13809: \$? = $ac_status" >&5
     13637   echo "$as_me:13637: \$? = $ac_status" >&5
    1381013638   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1381113639   then
     
    1537315201   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1537415202   -e 's:$: $lt_compiler_flag:'`
    15375    (eval echo "\"\$as_me:15375: $lt_compile\"" >&5)
     15203   (eval echo "\"\$as_me:15203: $lt_compile\"" >&5)
    1537615204   (eval "$lt_compile" 2>conftest.err)
    1537715205   ac_status=$?
    1537815206   cat conftest.err >&5
    15379    echo "$as_me:15379: \$? = $ac_status" >&5
     15207   echo "$as_me:15207: \$? = $ac_status" >&5
    1538015208   if (exit $ac_status) && test -s "$ac_outfile"; then
    1538115209     # The compiler can only warn and ignore the option if not recognized
     
    1547715305   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1547815306   -e 's:$: $lt_compiler_flag:'`
    15479    (eval echo "\"\$as_me:15479: $lt_compile\"" >&5)
     15307   (eval echo "\"\$as_me:15307: $lt_compile\"" >&5)
    1548015308   (eval "$lt_compile" 2>out/conftest.err)
    1548115309   ac_status=$?
    1548215310   cat out/conftest.err >&5
    15483    echo "$as_me:15483: \$? = $ac_status" >&5
     15311   echo "$as_me:15311: \$? = $ac_status" >&5
    1548415312   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1548515313   then
     
    1768417512   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1768517513   -e 's:$: $lt_compiler_flag:'`
    17686    (eval echo "\"\$as_me:17686: $lt_compile\"" >&5)
     17514   (eval echo "\"\$as_me:17514: $lt_compile\"" >&5)
    1768717515   (eval "$lt_compile" 2>conftest.err)
    1768817516   ac_status=$?
    1768917517   cat conftest.err >&5
    17690    echo "$as_me:17690: \$? = $ac_status" >&5
     17518   echo "$as_me:17518: \$? = $ac_status" >&5
    1769117519   if (exit $ac_status) && test -s "$ac_outfile"; then
    1769217520     # The compiler can only warn and ignore the option if not recognized
     
    1795217780   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1795317781   -e 's:$: $lt_compiler_flag:'`
    17954    (eval echo "\"\$as_me:17954: $lt_compile\"" >&5)
     17782   (eval echo "\"\$as_me:17782: $lt_compile\"" >&5)
    1795517783   (eval "$lt_compile" 2>conftest.err)
    1795617784   ac_status=$?
    1795717785   cat conftest.err >&5
    17958    echo "$as_me:17958: \$? = $ac_status" >&5
     17786   echo "$as_me:17786: \$? = $ac_status" >&5
    1795917787   if (exit $ac_status) && test -s "$ac_outfile"; then
    1796017788     # The compiler can only warn and ignore the option if not recognized
     
    1805617884   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1805717885   -e 's:$: $lt_compiler_flag:'`
    18058    (eval echo "\"\$as_me:18058: $lt_compile\"" >&5)
     17886   (eval echo "\"\$as_me:17886: $lt_compile\"" >&5)
    1805917887   (eval "$lt_compile" 2>out/conftest.err)
    1806017888   ac_status=$?
    1806117889   cat out/conftest.err >&5
    18062    echo "$as_me:18062: \$? = $ac_status" >&5
     17890   echo "$as_me:17890: \$? = $ac_status" >&5
    1806317891   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1806417892   then
Note: See TracChangeset for help on using the changeset viewer.